사용 중인 규칙 세트
API는 이 문제가 발생하면 409 Conflict 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/ruleset-in-use입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.
규칙 세트 <id>는 엔진 2개에 적용되어 있어 삭제할 수 없습니다. 먼저 해당 엔진에서 규칙 세트 연결을 해제하세요.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
id | string |
engineCount | integer | null |
예시#
json
{
"detail": "Ruleset <id> cannot be deleted while 2 engines apply it. Detach it from those engines first.",
"id": "<id>",
"engineCount": 2,
"type": "https://lingo.dev/docs/api/errors/ruleset-in-use",
"status": 409,
"title": "Ruleset in use"
}이 오류를 반환하는 엔드포인트#
DELETE /v2/rulesets/{id}